/*
===============
Variables
===============
*/

:root {
    --clr-primary-1: rgba(182, 162, 107, 1);
    --clr-primary-2: rgba(182, 162, 107, 0.8);
    --clr-overlay: rgba(67, 67, 67, 0.8);
    --clr-white: #fff;

    --ff-primary: 'Roboto', sans-serif;

    --transition: all 0.3s linear;
    --radius: 0.5rem;
    --radius: 0.1rem;

    --light-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
    --dark-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
}

/*
===============
Global Styles
===============
*/

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: var(--ff-primary);
    background: var(--clr-white);
    color: black;
    line-height: 1.5;
    font-size: 0.875rem;
}

main {
    margin-top: 2em;
}

.wrapper {
    margin: 0 auto;
    width: 90%;
}

ul {
    list-style-type: none;
}

li a {
    text-decoration: none;
}

img {
    width: auto;
    display: block;
}

h2 {
    font-size: 2.25rem;
    text-transform: uppercase;
    line-height: 1.3;
}

@media screen and (min-width: 800px) {
    h1 {
        font-size: 2.5rem;
    }
    h2 {
        font-size: 2.25rem;
        line-height: 1;
    }
    body {
        font-size: 1rem;
    }
}

.navbar {
    background: var(--clr-white);
}

.navbar-item {
    text-transform: uppercase;
}

.navbar-item:hover {
    color: var(--clr-primary-1) !important;
}

/* HERO SECTION */

.hero {
    background-image: url(../img/hero-lg.png);
    background-repeat: no-repeat;
    background-size: cover;

    /* height: 550px; */
    padding-block: 6em;
    color: #eee;

    display: flex;
    flex-direction: column;
    justify-content: center;

    margin-bottom: 4em;
}

.hero__wrapper {
    margin: 0 auto;
    width: 85%;
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.hero__title {
    display: block;
    color: var(--clr-primary-1);
    text-transform: uppercase;
    font-size: 2rem;
}

.hero__name {
    font-size: 4rem;
    line-height: 1.1;
}

.hero__profession {
    font-size: 1.5rem;
    color: var(--clr-primary-1);
}

@media (max-width: 800px) {
    .hero__title {
        font-size: 1.5rem;
    }
    .hero__name {
        font-size: 3rem;
    }
}

.hero__text {
    max-width: 600px;
}

/* ABOUT ME */

.about__me {
    margin-bottom: 6em;
}

.about__me__title {
    margin-bottom: 2em;
}

.about__me__title,
.services__title,
.partners__title,
.contact__title {
    font-weight: 700;
}

.about__me__subtitle,
.services__subtitle,
.partners__subtitle,
.contact__subtitle {
    font-size: 1.25rem;
    font-weight: 300;
    text-transform: uppercase;
    margin-bottom: 3em;
}

.about__me__title::before,
.services__title::before,
.partners__title::before,
.contact__title::before {
    content: '';
    background: var(--clr-primary-1);
    position: relative;
    display: block;
    width: 8px;
    height: 35px;
    bottom: -35px;
    left: -20px;
}

@media screen and (max-width: 800px) {
    .about__me__title::before,
    .services__title::before,
    .partners__title::before,
    .contact__title::before {
        bottom: -42px;
    }
}

.about__me__wrapper {
    display: grid;
}

.about__me__text__wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.about__me__text {
    padding: 1em;
}

.about__me__pic {
    margin: 0 auto;
    width: 100%;
    max-width: 540px;
    height: fit-content;
    margin-bottom: 2rem;
    border-radius: var(--radius);
}

@media screen and (min-width: 768px) {
    .about__me__wrapper {
        grid-template-columns: 1fr 2fr;
        column-gap: 2em;
    }

    .about__me__pic {
        height: 100%;
        object-fit: cover;
        height: 420px;
    }

    .about__me__text__wrapper {
        max-width: 100%;
    }

    .about__me__text.border1 {
        padding-bottom: 1em;
    }

    .about__me__text.border2 {
        padding-top: 1em;
        grid-column-start: 2;
        /* grid-column-start: 1;
    grid-column-end: 3; */
    }

    .about__me__text {
        padding: 1.5em;
    }
}

@media screen and (min-width: 1024px) {
}

.border1 {
    border-top: 1px solid var(--clr-primary-1);
    border-left: 1px solid var(--clr-primary-1);
}

.border2 {
    border-bottom: 1px solid var(--clr-primary-1);
    border-right: 1px solid var(--clr-primary-1);
}

/* SERVICES */

.services {
    margin-bottom: 4em;
}

.services__container {
    display: flex;
    flex-direction: column;
    justify-content: center;

    margin: 0 auto;
    max-width: 1400px;
}

.services__text {
    margin-bottom: 3em;
}

@media screen and (min-width: 800px) {
    .services__container {
        flex-direction: row;
        flex-wrap: wrap;
    }
}

.services__item {
    margin: 0 auto;
    margin-bottom: 1.25em;
    text-align: center;
    max-width: 400px;
}

.services__item__title {
    font-weight: 600;
    text-transform: uppercase;
    margin-bottom: 0.5em;
}

.fas {
    color: var(--clr-primary-1);
    font-size: 2rem;
    margin-bottom: 0.5em;
}

/* PARTNERS */

.partners {
    margin-bottom: 4em;
}

.partners__card {
    margin: 1.25em;
    text-align: center;
    max-width: 300px;
}

.partners__pic {
    margin-bottom: 1em;
    box-shadow: var(--light-shadow);
}

.partners__container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

@media screen and (min-width: 800px) {
    .partners__container {
        flex-direction: row;
        flex-wrap: wrap;
    }
}

/* CONTACT */

.contact {
    background-image: url(../img/contact-lg.jpg);
    background-repeat: no-repeat;
    background-size: cover;

    color: #eee;
    padding: 3em 0;
}

.map__responsive {
    display: flex;
    justify-content: center;
    align-items: center;
}

iframe {
    max-width: 520px;
    margin-bottom: 2em;
}

.contact__list {
    margin: auto;
    margin-bottom: 4em;
    max-width: 520px;
    padding: 2em;

    background-color: var(--clr-primary-2);
}

.contact__list p {
    margin-bottom: 2em;
}

.contact__list a {
    color: rgb(255, 255, 255);
}

/* FOOTER */

footer {
    /* background: var(--clr-primary-1); */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    background-color: var(--clr-primary-1);
    padding: 2em 3em;
}

@media screen and (min-width: 1000px) {
    footer {
        align-items: flex-start;

        padding: 2em 10em;
    }
}

.footer__text {
    font-size: 0.6rem;
    margin-bottom: 1.5em;
}

.footer__social {
    font-size: 1.5rem;
}

/* .fa-facebook-square,
.fa-linkedin {
  color: #fff;
} */

.fab {
    color: #fff;
}

.fab:hover,
.fab:active {
    color: var(--clr-overlay);
}
